Subject: bug#15591: [PATCH] libparted: handle i18n gpt partition names correctly

From: Phillip Susi <[email-masked]>
Date: Sat, 21 Dec 2013 20:40:40 -0500

On 12/21/2013 01:31 PM, Jim Meyering wrote:
> Please make the new t*.sh script executable.

Why?  I notice that half of the scripts are executable, but half are
not, and the ones that are can not be executed directly anyhow as it
seems they get paths wrong, and the make check rule doesn't care
whether they are executable or not.

On a related note, can you explain how the test suite works?  I'm
trying to figure out why I can't just wrap the parted call in gdb to
debug the crash since it seems the scripts are run with stdin <
/dev/null, but I can not follow the Makefile for the life of me.

Looking at the main Makefile.am, it seems that the check rule only
runs check-other-sector_sizes, which calls make ss-{1024,2048,4096}.
Curiously, 512 byte sectors seem to be missing.  The rules for the
ss-XXXX targets set PARTED_SECTOR_SIZE and call make check-recursive,
but there does not seem to be any such target.